<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="process-info">

  <div class="process-info--workflow">

    <div class="process-info--workflow--information">
      <div class="process-info--workflow--information--title">
        <span>{{"workflow.processNumber" | translate}}:</span>
        <span>{{"workflow.process" | translate}}:</span>
      </div>
      <div class="process-info--workflow--information--content">
        <span>{{appStatementId}}</span>
        <span>{{appProcessName && appProcessVersion ? (appProcessName + " (v" + appProcessVersion + ")") : ""}}</span>
      </div>
    </div>

    <div class="process-info--workflow--diagram">
      <app-process-diagram [appActivitiesToSelect]="appCurrentActivities"
                           [appShowEnlargeButton]="false" [appStatementId]="appStatementId"
                           [appWorkflowXml]="appWorkflowXml"></app-process-diagram>
    </div>
  </div>

  <div class="process-info--history">
    <app-process-history [appProcessHistoryData]="appProcessHistoryData"></app-process-history>
  </div>
</div>




